Debian Bug report logs - #359006
xterm: unicode glyph rendering glitch

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Andrew Pimlott <andrew@pimlott.net>

Date: Sat, 25 Mar 2006 20:33:18 UTC

Severity: minor

Tags: fixed-upstream

Found in version xterm/210-2

Fixed in version xterm/287-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#359006; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Andrew Pimlott <andrew@pimlott.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Pimlott <andrew@pimlott.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: unicode glyph rendering glitch
Date: Sat, 25 Mar 2006 12:30:48 -0800
Package: xterm
Version: 210-2
Severity: minor

Unicode characters generally render properly in my xterm, using
LANG=en_US.UTF-8, however I just noticed a glitch.  When U+2218 is
rendered in some colors, it turns into the dashed box that usually
denotes a bad character.  To reproduce:

- start vim in an xterm, with LANG=en_US.UTF
- enter insert mode and type the sequence

    ctrl-V u2218

  You should see a nice function composition symbol, U+2218: ∘
- Now colorise it by typing ":set ft=mail" and then entering "> " before
  the symbol.  When it changes color, it turns into a dashed box.

If I cut and past it into another application, it shows up correctly as
a function composition symbol, so xterm clearly still knows what it
should be; it just doesn't render it properly.  Also, I don't see the
same problem with most other unicode characters, but it does seem to
afflict others in the same range.

Andrew

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages xterm depends on:
ii  libc6                     2.3.6-4        GNU C Library: Shared libraries an
ii  libfontconfig1            2.3.2-5        generic font configuration library
ii  libice6                   6.9.0.dfsg.1-5 Inter-Client Exchange library
ii  libncurses5               5.5-1          Shared libraries for terminal hand
ii  libsm6                    6.9.0.dfsg.1-5 X Window System Session Management
ii  libx11-6                  6.9.0.dfsg.1-5 X Window System protocol client li
ii  libxaw7                   6.9.0.dfsg.1-5 X Athena widget set library
ii  libxext6                  6.9.0.dfsg.1-5 X Window System miscellaneous exte
ii  libxft2                   2.1.8.2-5.1    FreeType-based font drawing librar
ii  libxmu6                   6.9.0.dfsg.1-5 X Window System miscellaneous util
ii  libxt6                    6.9.0.dfsg.1-5 X Toolkit Intrinsics
ii  xlibs-data                6.9.0.dfsg.1-5 X Window System client data

Versions of packages xterm recommends:
ii  xutils                    6.9.0.dfsg.1-5 X Window System utility programs

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#359006; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 359006@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: 359006@bugs.debian.org
Subject: Re: xterm: unicode glyph rendering glitch
Date: Fri, 10 Nov 2006 02:39:33 +0100
Hi,

By doing this (putting a mail-like > in front of U+2218), you're making
vim output U+2218 in bold font (because the mail syntax expresses a
color that result into bold font in your vim configuration). Then xterm
has to draw a bold U+2218. The problem is that for this you need a bold
font that holds U+2218, and it seems your system doesn't have any (just
like mine, actually), so xterm can't do much.

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#359006; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 359006@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>, 359006@bugs.debian.org
Subject: Re: Bug#359006: xterm: unicode glyph rendering glitch
Date: Fri, 10 Nov 2006 06:48:00 -0500
[Message part 1 (text/plain, inline)]
On Fri, Nov 10, 2006 at 03:00:11AM +0100, Samuel Thibault wrote:
> Hi,
> 
> By doing this (putting a mail-like > in front of U+2218), you're making
> vim output U+2218 in bold font (because the mail syntax expresses a
> color that result into bold font in your vim configuration). Then xterm
> has to draw a bold U+2218. The problem is that for this you need a bold
> font that holds U+2218, and it seems your system doesn't have any (just
> like mine, actually), so xterm can't do much.

From the context, it sounds as if the font contains other glyphs that work.
I might be able to improve it by making xterm check if the normal/bold
fonts contain a different number of glyphs, and in that case add some
checks to use the normal glyph when the bold one is missing.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#359006; Package xterm. (Mon, 28 Feb 2011 00:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 28 Feb 2011 00:45:03 GMT) Full text and rfc822 format available.

Message #20 received at 359006@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Thomas Dickey <dickey@radix.net>, 359006@bugs.debian.org
Cc: Samuel Thibault <samuel.thibault@ens-lyon.org>, Andrew Pimlott <andrew@pimlott.net>
Subject: Re: Bug#359006: xterm: unicode glyph rendering glitch
Date: Mon, 28 Feb 2011 01:42:54 +0100
[Message part 1 (text/plain, inline)]
Hi,

putting the submitter back in the loop.

Thomas Dickey <dickey@radix.net> (10/11/2006):
> On Fri, Nov 10, 2006 at 03:00:11AM +0100, Samuel Thibault wrote:
> > Hi,
> > 
> > By doing this (putting a mail-like > in front of U+2218), you're making
> > vim output U+2218 in bold font (because the mail syntax expresses a
> > color that result into bold font in your vim configuration). Then xterm
> > has to draw a bold U+2218. The problem is that for this you need a bold
> > font that holds U+2218, and it seems your system doesn't have any (just
> > like mine, actually), so xterm can't do much.
> 
> From the context, it sounds as if the font contains other glyphs that work.
> I might be able to improve it by making xterm check if the normal/bold
> fonts contain a different number of glyphs, and in that case add some
> checks to use the normal glyph when the bold one is missing.

What's the status here?

KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#359006; Package xterm. (Mon, 28 Feb 2011 00:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 28 Feb 2011 00:54:08 GMT) Full text and rfc822 format available.

Message #25 received at 359006@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: Thomas Dickey <dickey@radix.net>, 359006@bugs.debian.org, Andrew Pimlott <andrew@pimlott.net>
Subject: Re: Bug#359006: xterm: unicode glyph rendering glitch
Date: Mon, 28 Feb 2011 01:51:41 +0100
Cyril Brulebois, le Mon 28 Feb 2011 01:42:54 +0100, a écrit :
> Thomas Dickey <dickey@radix.net> (10/11/2006):
> > On Fri, Nov 10, 2006 at 03:00:11AM +0100, Samuel Thibault wrote:
> > > Hi,
> > > 
> > > By doing this (putting a mail-like > in front of U+2218), you're making
> > > vim output U+2218 in bold font (because the mail syntax expresses a
> > > color that result into bold font in your vim configuration). Then xterm
> > > has to draw a bold U+2218. The problem is that for this you need a bold
> > > font that holds U+2218, and it seems your system doesn't have any (just
> > > like mine, actually), so xterm can't do much.
> > 
> > From the context, it sounds as if the font contains other glyphs that work.
> > I might be able to improve it by making xterm check if the normal/bold
> > fonts contain a different number of glyphs, and in that case add some
> > checks to use the normal glyph when the bold one is missing.
> 
> What's the status here?

Still reproducable.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#359006; Package xterm. (Mon, 28 Feb 2011 00:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 28 Feb 2011 00:54:10 GMT) Full text and rfc822 format available.

Message #30 received at 359006@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Cyril Brulebois <kibi@debian.org>, 359006@bugs.debian.org
Cc: Samuel Thibault <samuel.thibault@ens-lyon.org>, Andrew Pimlott <andrew@pimlott.net>, Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#359006: xterm: unicode glyph rendering glitch
Date: Sun, 27 Feb 2011 19:51:56 -0500 (EST)
On Mon, 28 Feb 2011, Cyril Brulebois wrote:

> Hi,
>
> putting the submitter back in the loop.
>
> Thomas Dickey <dickey@radix.net> (10/11/2006):
>> On Fri, Nov 10, 2006 at 03:00:11AM +0100, Samuel Thibault wrote:
>>> Hi,
>>>
>>> By doing this (putting a mail-like > in front of U+2218), you're making
>>> vim output U+2218 in bold font (because the mail syntax expresses a
>>> color that result into bold font in your vim configuration). Then xterm
>>> has to draw a bold U+2218. The problem is that for this you need a bold
>>> font that holds U+2218, and it seems your system doesn't have any (just
>>> like mine, actually), so xterm can't do much.
>>
>> From the context, it sounds as if the font contains other glyphs that work.
>> I might be able to improve it by making xterm check if the normal/bold
>> fonts contain a different number of glyphs, and in that case add some
>> checks to use the normal glyph when the bold one is missing.
>
> What's the status here?

I don't recall making the change I suggested here (it's still a 
possibility - thinking about it, I seem to recall on reviewing this that 
it seemed it would make the output slower, though I'm doing something 
analogous for ASCII-approximations and for line-drawing).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#359006; Package xterm. (Sat, 29 Sep 2012 01:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 29 Sep 2012 01:21:03 GMT) Full text and rfc822 format available.

Message #35 received at 359006@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 359006@bugs.debian.org
Cc: 359006-submitter@bugs.debian.org
Subject: re: #359006 xterm: unicode glyph rendering glitch
Date: Fri, 28 Sep 2012 21:16:34 -0400
[Message part 1 (text/plain, inline)]
I made the indicated fix in patch #282

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Sat, 29 Sep 2012 01:21:05 GMT) Full text and rfc822 format available.

Message sent on to Andrew Pimlott <andrew@pimlott.net>:
Bug#359006. (Sat, 29 Sep 2012 01:21:07 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 27 Nov 2012 21:51:10 GMT) Full text and rfc822 format available.

Notification sent to Andrew Pimlott <andrew@pimlott.net>:
Bug acknowledged by developer. (Tue, 27 Nov 2012 21:51:10 GMT) Full text and rfc822 format available.

Message #45 received at 359006-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 359006-close@bugs.debian.org
Subject: Bug#359006: fixed in xterm 287-1
Date: Tue, 27 Nov 2012 21:47:57 +0000
Source: xterm
Source-Version: 287-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 359006@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 27 Nov 2012 22:27:28 +0100
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 287-1
Distribution: experimental
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 359006 408666 683942 691642 694375
Changes: 
 xterm (287-1) experimental; urgency=low
 .
   * New upstream release (closes: #694375)
     - add alternateScroll resource and corresponding control sequences which
       modify the scroll-forw and scroll-back actions: when the alternate
       screen is displayed, wheel mouse up/down will send cursor keys (closes:
       #683942)
     - improve rendering for the case when a Unicode character is absent in the
       bold font but present in the normal font by temporarily falling back to
       the normal font (closes: #359006, #408666)
     - check for misconfigured printerCommand resource on the first use, warn
       and disable it if it does not specify an executable command (closes:
       #691642)
   * Drop upstream patches.
   * Refresh remaining patches.
   * Explicitly set --with-desktop-category to avoid desktop-file-install
     failure.
   * Enable backarrowKeyIsErase in configure instead of 900_debian_xterm.diff.
   * Install png/svg icons.
   * Change xterm.man's NAME section to keep whatis(1) happy.
Checksums-Sha1: 
 2e3a950920d5a74b6aaec447454ead50ccda3998 2019 xterm_287-1.dsc
 f1c4bfd11394eaa8158559cea63180fe7cc8d3ed 1103402 xterm_287.orig.tar.gz
 465d898bac50303b06c68dcc9a7453ee74acc9b6 98825 xterm_287-1.diff.gz
 e888c0d5ad201fc4037478fafe07161745c5c560 661918 xterm_287-1_amd64.deb
Checksums-Sha256: 
 f3eb17fceb50a7acb977c36c789812f39319c71b30aa97e7aaf6614cc6cd7d9a 2019 xterm_287-1.dsc
 b5645b5963d01d15f62fb9071f743b58e4d158581f19f411bf14422519363956 1103402 xterm_287.orig.tar.gz
 125172942397e818d450c52f5282777cb6c5d8e47b2dcbdd964991001ff2507e 98825 xterm_287-1.diff.gz
 ce39c08b42cd7b9b61e4ba2037e26fdad8f28039e19ec931f3ed4f03d50070c7 661918 xterm_287-1_amd64.deb
Files: 
 b341950dad30c453b6c12fc968352c7b 2019 x11 optional xterm_287-1.dsc
 0e4385e66d40b5dd6017d02c3db2a4af 1103402 x11 optional xterm_287.orig.tar.gz
 721f7450a36270648a3bd77f1fce6690 98825 x11 optional xterm_287-1.diff.gz
 0515e28e499ccb1f08d6c928cf32c5f9 661918 x11 optional xterm_287-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQtTDSAAoJEDEBgAUJBeQMxtsP/0DCbmOhFELva5OpFJdwQWfW
mqJPHYS83JNNMQXwYS8IPNBcdpWfWGAT6YLdqgWqBcwUNkMx812nOvn/EDJtr6pG
DrsQim0Ysz/9NGSiKGqckuFcmySmOhCuhRjHmg48wk3ER/hTJWijyxUWsaqhsKqQ
lyeUW9Jw+nKpgqtpkGA85WGoPiDZh4O+sPwC1lNmlDiyw4nWAo2LJgmVJb1JugKH
+o/eEYdZinQBc0UiKnyYQmKUlmoJ+C7W+594/GEOVaeQTyAxNhMjmHqBWO1HglDw
WjBtRZk735LLXMFT9LWMXBbvydcnXUGKE9qSEZVWHDbIqBdJNh6lBm6nMJIMLp7S
/P7WheREZlwDqEOCYdkB/6M0FkSPCYZW5GI7/Lu6Gtm3FjMWIbcaOW8nEdBtiZJm
sDzwjzatxSUtL0iaVRPM+trCy4ynFU74nMCQ6XAFWaekY2g1oUaGAVXtofR2I/oi
3IYXpLXl/DmO4zwq+aMCgYzhvHoC2JzZnvrSt+5RYEsGhXEhakbiwI4G4YcRLbXc
YeYWAs07QKj4+IZ3nvIq5YgVqCUAZjpVlBYlkLFd7KsfTpAPi71NS/jB4L6Z7Foj
9jpqs8jtNjM+B7Rvt7ZF6GCP/f1XlFZRpzm1roL0YIdOvx66BVMOCfk1SSyzqsFX
fpj6xMPGzcI/tFfyFHC9
=E32r
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Jun 2013 07:27:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:13:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.